Package org.globus.gsi.gssapi.net

# Class GssOutputStream

java.lang.Object
java.io.OutputStream
org.globus.gsi.gssapi.net.GssOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Direct Known Subclasses:
  `GridFTPOutputStream`, `GSIGssOutputStream`

public abstract class GssOutputStream extends OutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`autoFlush`
`protected byte[]`
`buff`
`protected GSSContext`
`context`
`protected int`
`index`
`protected OutputStream`
`out`

## Constructor Summary

Constructors
Constructor
Description
`GssOutputStream(OutputStream out, GSSContext context)`
`GssOutputStream(OutputStream out, GSSContext context, int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`abstract void`
`flush()`
`boolean`
`getAutoFlush()`
`void`
`setAutoFlush(boolean autoFlush)`
`protected byte[]`
`wrap()`
`void`
`write(byte[] data)`
`void`
`write(byte[] data, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected OutputStream out

### context

protected GSSContext context

### autoFlush

protected boolean autoFlush

### buff

protected byte[] buff

### index

protected int index

## Constructor Details

### GssOutputStream

public GssOutputStream(OutputStream out, GSSContext context)

### GssOutputStream

public GssOutputStream(OutputStream out, GSSContext context, int size)

## Method Details

### setAutoFlush

public void setAutoFlush(boolean autoFlush)

### getAutoFlush

public boolean getAutoFlush()

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] data) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] data, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### wrap

protected byte[] wrap() throws IOException

Throws:
  `IOException`

### flush

public abstract void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`